Subject: Unable to resume X2Go session

From: Martin Stahlberg <[email-masked]>
Date: Sat, 16 Sep 2017 23:40:24 +0200

Package: x2goserver
Version: 4.0.1.20

Hello,

I am experiencing the following problem, of which I am not quite sure 
which package causes it:

I am trying to connect with an x2go client running on a Windows 10 
system to a remote x2go server which I set up on a Debian Jessie 8.6 
virtual machine (Kernel version 3.16.36-1), using XFCE as graphical 
interface. I am able to connect and establish a session, but if I 
suspend the session and try to resume it, the client closes the 
connection, and nothing works until I restart the server on the remote 
system. If I terminate the session and then try to open a new one, 
everything works fine.

_X2Go version on server side (installed via apt 
from____http://packages.x2go.org/debian__):_

x2goagent: 3.5.0.32
x2golxdebindings: 1.0.2.4
x2goserver: 4.0.1.20
x2goserver-extensions: 4.0.1.20
x2goserver-xsession: 4.0.1.20

_X2Go client version:_

x2goclient: 4.1.00

_Content of the session.log when opening a new session, suspending it 
and trying to resume it:
_

running as X2Go Agent

NXAGENT - Version 3.5.0

Copyright (C) 2001, 2011 NoMachine.
See http://www.nomachine.com/ for more information.

Info: Agent running with pid '31695'.
Session: Starting session at 'Sat Sep 16 22:19:38 2017'.
Info: Proxy running in server mode with pid '31695'.
Info: Waiting for connection from 'localhost' on port '50592'.
Info: Accepted connection from '127.0.0.1'.
Info: Connection with remote proxy completed.
Info: Using ADSL link parameters 512/24/1/0.
Info: Using agent parameters 5000/10/50/0/0.
Info: Using cache parameters 4/4096KB/8192KB/8192KB.
Info: Using pack method '16m-jpeg-9' with session 'unix-kde-depth_32'.
Info: Using ZLIB data compression 1/1/32.
Info: Using ZLIB stream compression 4/4.
Info: No suitable cache file found.
Info: Listening to X11 connections on display ':51'.
Info: Established X client connection.
Info: Using shared memory parameters 1/1/0/0K.
Info: Using alpha channel in render extension.
Info: Using local device configuration changes.
keyboard file created
Session: Session started at 'Sat Sep 16 22:19:49 2017'.
Session: Suspending session at 'Sat Sep 16 22:20:17 2017'.
Info: Waiting the cleanup timeout to complete.
Session: Session suspended at 'Sat Sep 16 22:20:18 2017'.
Session: Resuming session at 'Sat Sep 16 22:20:32 2017'.
Info: Proxy running in server mode with pid '31695'.
Info: Waiting for connection from 'localhost' on port '50592'.
Info: Accepted connection from '127.0.0.1'.
Info: Connection with remote proxy completed.
Info: Using ADSL link parameters 512/24/1/0.
Info: Using agent parameters 5000/10/50/0/0.
Info: Using cache parameters 4/4096KB/8192KB/8192KB.
Info: Using pack method '16m-jpeg-9' with session 'unix-kde-depth_32'.
Info: Using ZLIB data compression 1/1/32.
Info: Using ZLIB stream compression 4/4.
Info: Using cache file '/tmp/.x2go-/<my username>//C-/<my 
username>/-51-1505593177_stDXFCE_dp32/cache-unix-kde-depth_32/C-D6A0F504FFBC6CB8C93F125D331C30C6'.
Info: Listening to X11 connections on display ':51'.
Session: Display failure detected at 'Sat Sep 16 22:20:35 2017'.
Session: Suspending session at 'Sat Sep 16 22:20:35 2017'.
Info: Your session has died before reaching an usable state.
Info: This can be due to the remote X server refusing access to the client.
Info: Please check the authorization provided by your X application.
Info: Waiting the cleanup timeout to complete.
Session: Session suspended at 'Sat Sep 16 22:20:40 2017'.

I have tried also the following:

- Accessing the remote machine from a different system (Ubuntu 16 with 
X2GoClient 4.1.01), with the same result

- Using an external x server on the client side, with the same result

So far,  my guess is that this is some sort of authorization issue on 
the server side; the x2go installation on the remote machine was done 
using a fakeroot environment, although I have no idea how this could 
influence the resuming.

I would be very thankful for any kind of advice!

Best regards,

Martin